[Megoldás] A következő aláírások érvénytelenek: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG

Egyszerű hibajavítás "The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key” jelenik meg, amikor csomagokat próbál frissíteni Debian rendszereken.

Err:10 https://packages.sury.org/php bullseye InRelease
  The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
Fetched 14.1 kB in 1s (14.5 kB/s)
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://packages.sury.org/php bullseye InRelease: The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
W: Failed to fetch https://packages.sury.org/php/dists/bullseye/InRelease  The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
W: Some index files failed to download. They have been ignored, or old ones used instead.

Ez a hiba azt is megakadályozza, hogy a csomagok frissítésre kerüljenek a Debian szervereken WordHoppá. (wo stack upgrade).

Kapcsolódó: A LEMP telepítése és konfigurálása Debian 12 rendszeren

The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key

Ez a hiba azért fordul elő, mert a sury.org megváltoztatta a Debian digitális aláírási kulcsát, és a probléma megoldásához le kell töltenie az új kulcsot.

apt-key adv --fetch-keys https://packages.sury.org/php/apt.gpg

A parancs futtatása után frissítheti az összes Debian csomagot:

apt update && apt upgrade

Akik használnak WordAz Ops a parancssort futtatja:

wo stack upgrade

A Debian csomagok frissítése során minden probléma nélkül fog működni.

Technológiai rajongóként örömmel írok a StealthSettings.com-on 2006 óta. Széles körű tapasztalatom van operációs rendszerekkel: macOS, Windows és Linux, valamint programozási nyelvekkel és blogolási platformokkal (WordPress) és online áruház platformokkal (WooCommerce, Magento, PrestaShop).

Hogyan » Linux » [Megoldás] A következő aláírások érvénytelenek: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG
Írj hozzászólást